Skip to content

Provinces API

Returns a paginated list of Philippine provinces.

GET /v1/provinces

Returns a list of all provinces in the Philippines.

ParameterTypeRequiredDescription
pageintegerNoPage number (default: 1).
limitintegerNoItems per page (default: 10, max: 100).
Terminal window
curl -H "Authorization: Bearer <token>" \
"https://api.gis.ph/v1/provinces?limit=5"
{
"data": [
{
"id": 1,
"name": "Abra",
"code": "140100000",
"region_id": 140000000
},
...
],
"meta": {
"total": 82,
"page": 1,
"limit": 5,
"totalPages": 17,
"links": {
"self": "...",
"next": "...",
"prev": null
}
},
"error": null
}

GET /v1/provinces/{id}

Returns detailed information about a single province.

ParameterTypeRequiredDescription
geometrybooleanNoIf true, includes municipality GeoJSON boundaries in the response.
  • id (path): The unique identifier of the province.
Terminal window
curl -H "Authorization: Bearer <token>" \
"https://api.gis.ph/v1/provinces/94?geometry=true"
{
"data": {
"id": 94,
"name": "Kalinga",
"code": "1403200000",
"pop": 229570,
...
},
"geojson": {
"type": "FeatureCollection",
"features": [
{
"type": "Feature",
"geometry": { ... },
"properties": {
"name": "Tabuk City",
...
}
}
]
},
"error": null
}